<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTaxSettingMainTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tax_setting_main', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->boolean('tax_status')->nullable();
            $table->string('tax_country')->nullable();
            $table->string('tax_province')->nullable();
            $table->string('tax_city')->nullable();
            $table->boolean('vat_registered')->nullable();
            $table->string('tax_scheme')->nullable();
            $table->tinyInteger('construction_certificate')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tax_setting_main');
    }
}
